## pyprobeplus 1.1.2

=== requirements.txt ===
bleak
bleak-retry-connector

## pyprobeplus 1.0.1

=== debian/changelog ===
pyprobeplus (1.0.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Thu, 24 Jul 2025 09:53:10 +0100

pyprobeplus (1.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1108547)

 -- Edward Betts <edward@4angle.com>  Mon, 30 Jun 2025 23:02:25 +0100

=== debian/control ===
Source: pyprobeplus
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/pantherale0/pyprobeplus
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyprobeplus
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyprobeplus.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pyprobeplus
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library to interact with a Probe Plus BLE device
 This library enables communication with a Probe Plus BLE device to retrieve
 information wirelessly. It provides functions to establish and manage
 Bluetooth Low Energy connections, allowing users to read device status,
 configure settings, and gather sensor data. The library supports operations
 like scanning for devices, connecting to targeted devices, and data extraction
 to facilitate seamless integration of BLE functionality into larger
 applications. This interaction enables applications to capture relevant data
 from Probe Plus devices over a wireless network, improving the reach and
 functionality of IoT solutions within local networks, such as monitoring
 environments or managing Wi-Fi-enabled operations.

=== debian/watch ===
version=4
https://github.com/pantherale0/pyprobeplus/tags .*/v?(\d\S+)\.tar\.gz

## pyprobeplus 1.1.0

=== debian/changelog ===
pyprobeplus (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Mon, 13 Oct 2025 13:59:14 +0100

## pyprobeplus 1.1.1

=== debian/changelog ===
pyprobeplus (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 17 Oct 2025 09:54:45 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: pantherale0
Project: pyprobeplus

## pyprobeplus 1.1.2

=== debian/changelog ===
pyprobeplus (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 05 Nov 2025 08:56:10 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/pantherale0/pyprobeplus
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyprobeplus
